aboutsummaryrefslogtreecommitdiff
path: root/installer
diff options
context:
space:
mode:
authorYasuhiro Matsumoto <mattn.jp@gmail.com>2020-01-29 00:51:36 +0900
committerYasuhiro Matsumoto <mattn.jp@gmail.com>2020-01-29 00:51:36 +0900
commitdc70753d70f0bd9891a562c76200fdfcdad1fe4b (patch)
treec46d8744711ce3c88dfc3b771a005e01d48e503f /installer
parent214d1192c8b1911e9c6b441f3acdfd6f9afe2467 (diff)
parentba7d4fd8a0af3b16eda2db3d1ca54f09e163ed4a (diff)
downloadvim-lsp-settings-dc70753d70f0bd9891a562c76200fdfcdad1fe4b.tar.gz
vim-lsp-settings-dc70753d70f0bd9891a562c76200fdfcdad1fe4b.tar.bz2
vim-lsp-settings-dc70753d70f0bd9891a562c76200fdfcdad1fe4b.zip
Merge branch 'master' into add-uninstall
Diffstat (limited to 'installer')
-rw-r--r--installer/install-ra_lsp_server.cmd5
-rwxr-xr-xinstaller/install-ra_lsp_server.sh18
2 files changed, 23 insertions, 0 deletions
diff --git a/installer/install-ra_lsp_server.cmd b/installer/install-ra_lsp_server.cmd
new file mode 100644
index 0000000..19e063c
--- /dev/null
+++ b/installer/install-ra_lsp_server.cmd
@@ -0,0 +1,5 @@
+@echo off
+
+curl -L -o ra_lsp_server-windows.exe "https://github.com/rust-analyzer/rust-analyzer/releases/download/2020-01-27/ra_lsp_server-windows.exe"
+
+move ra_lsp_server-windows.exe ra_lsp_server.exe
diff --git a/installer/install-ra_lsp_server.sh b/installer/install-ra_lsp_server.sh
new file mode 100755
index 0000000..9e37113
--- /dev/null
+++ b/installer/install-ra_lsp_server.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+os=$(uname -s | tr "[:upper:]" "[:lower:]")
+
+case $os in
+ linux)
+ platform="linux"
+ ;;
+ darwin)
+ platform="mac"
+ ;;
+esac
+
+curl -L -o ra_lsp_server-$platform "https://github.com/rust-analyzer/rust-analyzer/releases/download/2020-01-27/ra_lsp_server-$platform"
+
+mv ra_lsp_server-$platform ra_lsp_server